Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gemini.blueprint.service.importer.support
Enum Availability

    java.lang.Object
      java.lang.Enum<Availability>
          org.eclipse.gemini.blueprint.service.importer.support.Availability

All Implemented Interfaces:
  Serializable, Comparable<Availability>

    public enum Availability

extends Enum<Availability>

Enum used by the service importer to describe whether a presence of OSGi services is mandatory or not.

Author:
  Costin Leau

Enum Constant Summary
`MANDATORY` Indicates that a matching service is required at all times.
`OPTIONAL` Indicates that a matching service is not required to be present.

Method Summary
`static Availability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Availability[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MANDATORY

    public static final Availability MANDATORY

  Indicates that a matching service is required at all times.

### OPTIONAL

    public static final Availability OPTIONAL

  Indicates that a matching service is not required to be present.

Method Detail

### values

    public static final Availability[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Availability c : Availability.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Availability valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.